Ok... I'm trying to write a lisp that will allow me to change the rotation of attributes in relation to the block they are in by just picking the attribute. I'm planning on using the "cal" function within the -attedit command to do this. Only I'm stuck on how to make the "cal" part work. There is obviously alot more to do with this, but I'm just wanting help on this for now (not wanting you guys to write the code for me, just give me a bit of a kick in the hind to get moving again). Any ideas? If using this command from the command prompt, I just have to put " 'cal " in when the angle prompt pops up, but everything I've tried in this partial lisp brings back "Requires valid numeric angle or second point. ; error: Function cancelled" or " ; error: bad argument value: AutoCAD command: CAL" Thanks in advance for any help or suggestions! (defun C:RAT () (SETQ A1 (GETANGLE " What is the angle of the block?") A2 (/(* A1 180.0)PI) ) (COMMAND "-ATTEDIT" "" "" "" "" Pause "" "A" "'cal "A2 + 180"") (PRINC) )